<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE xsl:stylesheet SYSTEM "executeResource.dtd">
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
	version="2.0">

	<!-- externalisations -->
	<xsl:variable name="executeResource.serialExecution">
		<xsl:text>&executeResource.serialExecution;</xsl:text>
	</xsl:variable>
	<xsl:variable name="executeResource.parallelExecution">
		<xsl:text>&executeResource.parallelExecution;</xsl:text>
	</xsl:variable>
	<xsl:variable name="executeResource.test">
		<xsl:text>&executeResource.test;</xsl:text>
	</xsl:variable>
	<xsl:variable name="executeResource.status">
		<xsl:text>&executeResource.status;</xsl:text>
	</xsl:variable>

	<xsl:template match="serialTask|parallelTask" mode="summary">
		<xsl:call-template name="processSummaryRow" />
	</xsl:template>

	<xsl:template match="serialTask" mode="label">
		<xsl:value-of select="$executeResource.serialExecution" />
	</xsl:template>

	<xsl:template match="parallelTask" mode="label">
		<xsl:value-of select="$executeResource.parallelExecution" />
	</xsl:template>

	<xsl:template match="serialTask|parallelTask">
		<xsl:call-template name="addActionInfo" />
		<table class="faux">
			<xsl:call-template name="reportCommonInfo" />
			<tr>
				<xsl:call-template name="reportTest" />
				<xsl:call-template name="reportTestStatus" />
			</tr>
		</table>
	</xsl:template>

	<xsl:template name="reportTest">
		<xsl:call-template name="copyAttribute">
			<xsl:with-param name="attribute" select="'task'" />
			<xsl:with-param name="outputAttribute" select="$executeResource.test" />
		</xsl:call-template>
	</xsl:template>

	<xsl:template name="reportTestStatus">
		<xsl:call-template name="copyAttribute">
			<xsl:with-param name="attribute" select="'iterationStatus'" />
			<xsl:with-param name="outputAttribute" select="$executeResource.status" />
		</xsl:call-template>
	</xsl:template>
</xsl:stylesheet>
