<?xml version="1.0"?>
<!DOCTYPE xsl:stylesheet SYSTEM "ipretrievecase.dtd">
<xsl:stylesheet version="2.0"
	xmlns:xsl="http://www.w3.org/1999/XSL/Transform">

	<xsl:import href="ipcommon.xsl" />

	<!-- externalisations -->
	<xsl:variable name="ipretrievecase.label">
		<xsl:text>&ipretrievecase.label;</xsl:text>
	</xsl:variable>
	<xsl:variable name="ipretrievecase.headerMessageTitle">
		<xsl:text>&ipretrievecase.headerMessageTitle;</xsl:text>
	</xsl:variable>
	<xsl:variable name="ipretrievecase.bodyMessageTitle">
		<xsl:text>&ipretrievecase.bodyMessageTitle;</xsl:text>
	</xsl:variable>
	<xsl:variable name="ipretrievecase.generalReport">
		<xsl:text>&ipretrievecase.generalReport;</xsl:text>
	</xsl:variable>
	<xsl:variable name="ipretrievecase.retrieveCaseSpecificReport">
		<xsl:text>&ipretrievecase.retrieveCaseSpecificReport;</xsl:text>
	</xsl:variable>
	<xsl:variable name="ipretrievecase.pollings">
		<xsl:text>&ipretrievecase.pollings;</xsl:text>
	</xsl:variable>
	<xsl:variable name="ipretrievecase.timestamp">
		<xsl:text>&ipretrievecase.timestamp;</xsl:text>
	</xsl:variable>
	<xsl:variable name="ipretrievecase.casesDetected">
		<xsl:text>&ipretrievecase.casesDetected;</xsl:text>
	</xsl:variable>
	<xsl:variable name="ipretrievecase.listChangesDetected">
		<xsl:text>&ipretrievecase.listChangesDetected;</xsl:text>
	</xsl:variable>
	<xsl:variable name="ipretrievecase.caseChangesDetected">
		<xsl:text>&ipretrievecase.caseChangesDetected;</xsl:text>
	</xsl:variable>
	<xsl:variable name="ipretrievecase.data">
		<xsl:text>&ipretrievecase.data;</xsl:text>
	</xsl:variable>

	<xsl:template match="retrievecase" mode="label">
		<xsl:value-of select="$ipretrievecase.label" />
	</xsl:template>

	<xsl:template match="retrievecase" mode="summary">
		<xsl:call-template name="processSummaryRow" />
	</xsl:template>

	<xsl:template match="retrievecase">

		<xsl:variable name="headerMessageTitle">
			<xsl:text>&ipretrievecase.headerMessageTitle;</xsl:text>
		</xsl:variable>
		<xsl:variable name="bodyMessageTitle">
			<xsl:text>&ipretrievecase.bodyMessageTitle;</xsl:text>
		</xsl:variable>

		<xsl:call-template name="addActionInfo" />
		<table class="faux">
			<xsl:call-template name="reportCommonInfo" />
		</table>
		<table width="80%">
			<tbody>

				<tr>
					<td class="sub-title">
						<xsl:value-of select="$ipretrievecase.generalReport" />
					</td>
				</tr>
				<tr>
					<td>
						<xsl:call-template name="IProcessActionGeneralReport" />
					</td>
				</tr>

				<tr>
					<td class="sub-title">
						<xsl:value-of select="$ipretrievecase.retrieveCaseSpecificReport" />
					</td>
				</tr>
				<tr>
					<td>
						<xsl:call-template name="IProcessActionConfigurationReport" />
					</td>
				</tr>

				<xsl:if test="count(.//*[name()='pollingLog'])!=0">
					<tr>
						<td class="sub-title">
							<xsl:value-of select="$ipretrievecase.pollings" />
						</td>
					</tr>
					<tr>
						<td>
							<xsl:call-template name="IProcessActionsPollingReportForCaseRetrieval">
								<xsl:with-param name="col1" select="$ipretrievecase.timestamp" />
								<xsl:with-param name="col2"
									select="$ipretrievecase.casesDetected" />
								<xsl:with-param name="col3"
									select="$ipretrievecase.listChangesDetected" />
								<xsl:with-param name="col4"
									select="$ipretrievecase.caseChangesDetected" />
							</xsl:call-template>
						</td>
					</tr>
				</xsl:if>

				<xsl:if test="count(a3Message)!=0">
					<tr>
						<td class="sub-title">
							<xsl:value-of select="$ipretrievecase.data" />
						</td>
					</tr>
					<tr>
						<td>
							<xsl:call-template name="reportAssociatedA3Message" />
						</td>
					</tr>
				</xsl:if>
			</tbody>
		</table>



	</xsl:template>


</xsl:stylesheet>
