<?xml version="1.0"?>
<!DOCTYPE xsl:stylesheet SYSTEM "ipretrieveworkitem.dtd">
<xsl:stylesheet version="2.0"
	xmlns:xsl="http://www.w3.org/1999/XSL/Transform">

	<xsl:import href="ipcommon.xsl" />

	<!-- externalisations -->
	<xsl:variable name="ipretrieveworkitem.label">
		<xsl:text>&ipretrieveworkitem.label;</xsl:text>
	</xsl:variable>
	<xsl:variable name="ipretrieveworkitem.headerMessageTitle">
		<xsl:text>&ipretrieveworkitem.headerMessageTitle;</xsl:text>
	</xsl:variable>
	<xsl:variable name="ipretrieveworkitem.bodyMessageTitle">
		<xsl:text>&ipretrieveworkitem.bodyMessageTitle;</xsl:text>
	</xsl:variable>
	<xsl:variable name="ipretrieveworkitem.generalReport">
		<xsl:text>&ipretrieveworkitem.generalReport;</xsl:text>
	</xsl:variable>
	<xsl:variable name="ipretrieveworkitem.retrieveTaskSpecificReport">
		<xsl:text>&ipretrieveworkitem.retrieveTaskSpecificReport;</xsl:text>
	</xsl:variable>
	<xsl:variable name="ipretrieveworkitem.pollings">
		<xsl:text>&ipretrieveworkitem.pollings;</xsl:text>
	</xsl:variable>
	<xsl:variable name="ipretrieveworkitem.time">
		<xsl:text>&ipretrieveworkitem.time;</xsl:text>
	</xsl:variable>
	<xsl:variable name="ipretrieveworkitem.tasksFound">
		<xsl:text>&ipretrieveworkitem.tasksFound;</xsl:text>
	</xsl:variable>
	<xsl:variable name="ipretrieveworkitem.refresh">
		<xsl:text>&ipretrieveworkitem.refresh;</xsl:text>
	</xsl:variable>
	<xsl:variable name="ipretrieveworkitem.listChangesDetected">
		<xsl:text>&ipretrieveworkitem.listChangesDetected;</xsl:text>
	</xsl:variable>
	<xsl:variable name="ipretrieveworkitem.stateChangesDetected">
		<xsl:text>&ipretrieveworkitem.stateChangesDetected;</xsl:text>
	</xsl:variable>
	<xsl:variable name="ipretrieveworkitem.data">
		<xsl:text>&ipretrieveworkitem.data;</xsl:text>
	</xsl:variable>

	<xsl:template match="retrieveworkitem" mode="label">
		<xsl:value-of select="$ipretrieveworkitem.label" />
	</xsl:template>

	<xsl:template match="retrieveworkitem" mode="summary">
		<xsl:call-template name="processSummaryRow" />
	</xsl:template>

	<xsl:template match="retrieveworkitem">
		<xsl:variable name="headerMessageTitle">
			<xsl:text>&ipretrieveworkitem.headerMessageTitle;</xsl:text>
		</xsl:variable>
		<xsl:variable name="bodyMessageTitle">
			<xsl:text>&ipretrieveworkitem.bodyMessageTitle;</xsl:text>
		</xsl:variable>

		<xsl:call-template name="addActionInfo" />
		<table class="faux">
			<xsl:call-template name="reportCommonInfo" />
		</table>
		<table width="80%">
			<tbody>

				<tr>
					<td class="sub-title">
						<xsl:value-of select="$ipretrieveworkitem.generalReport" />
					</td>
				</tr>
				<tr>
					<td>
						<xsl:call-template name="IProcessActionGeneralReport" />
					</td>
				</tr>

				<tr>
					<td class="sub-title">
						<xsl:value-of select="$ipretrieveworkitem.retrieveTaskSpecificReport" />
					</td>
				</tr>
				<tr>
					<td>
						<xsl:call-template name="IProcessActionConfigurationReport" />
					</td>
				</tr>

				<xsl:if test="count(.//*[name()='pollingLog'])!=0">
					<tr>
						<td class="sub-title">
							<xsl:value-of select="$ipretrieveworkitem.pollings" />
						</td>
					</tr>
					<tr>
						<td>
							<xsl:call-template
								name="IProcessActionsPollingReportForWorkItemRetrieval">
								<xsl:with-param name="col1" select="$ipretrieveworkitem.time" />
								<xsl:with-param name="col2"
									select="$ipretrieveworkitem.tasksFound" />
								<xsl:with-param name="col3"
									select="$ipretrieveworkitem.refresh" />
								<xsl:with-param name="col4"
									select="$ipretrieveworkitem.listChangesDetected" />
								<xsl:with-param name="col5"
									select="$ipretrieveworkitem.stateChangesDetected" />
							</xsl:call-template>
						</td>
					</tr>
				</xsl:if>

				<xsl:if test="count(a3Message)!=0">
					<tr>
						<td class="sub-title">
							<xsl:value-of select="$ipretrieveworkitem.data" />
						</td>
					</tr>
					<tr>
						<td>
							<xsl:call-template name="reportAssociatedA3Message">
								<xsl:with-param name="index" select="1" />
							</xsl:call-template>
						</td>
					</tr>
				</xsl:if>

			</tbody>
		</table>


	</xsl:template>


</xsl:stylesheet>
