<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE xsl:stylesheet SYSTEM "ipstartcase.dtd">
<xsl:stylesheet version="2.0"
	xmlns:xsl="http://www.w3.org/1999/XSL/Transform">

	<xsl:import href="ipcommon.xsl" />

	<!-- externalisations -->
	<xsl:variable name="ipstartcase.label">
		<xsl:text>&ipstartcase.label;</xsl:text>
	</xsl:variable>
	<xsl:variable name="ipstartcase.generalReport">
		<xsl:text>&ipstartcase.generalReport;</xsl:text>
	</xsl:variable>
	<xsl:variable name="ipstartcase.specificReport">
		<xsl:text>&ipstartcase.specificReport;</xsl:text>
	</xsl:variable>
	<xsl:variable name="ipstartcase.data">
		<xsl:text>&ipstartcase.data;</xsl:text>
	</xsl:variable>

	<xsl:template match="startcase" mode="label">
		<xsl:value-of select="$ipstartcase.label" />
	</xsl:template>

	<xsl:template match="startcase" mode="summary">
		<xsl:call-template name="processSummaryRow" />
	</xsl:template>

	<xsl:template match="startcase">

		<xsl:call-template name="addActionInfo" />
		<table class="faux">
			<xsl:call-template name="reportCommonInfo" />

			<!--Only show error title if error exists -->
			<xsl:if test="string-length(@error)>0">
				<xsl:call-template name="reportValidationError" />
			</xsl:if>
		</table>

		<table width="80%">
			<tbody>

				<tr>
					<td class="sub-title">
						<xsl:value-of select="$ipstartcase.generalReport" />
					</td>
				</tr>
				<tr>
					<td>
						<xsl:call-template name="IProcessActionGeneralReport" />
					</td>
				</tr>

				<tr>
					<td class="sub-title">
						<xsl:value-of select="$ipstartcase.specificReport" />
					</td>
				</tr>
				<tr>
					<td>
						<xsl:call-template name="IProcessActionConfigurationReport" />
					</td>
				</tr>

				<xsl:if test="count(*[name()='a3Message'])>0">
					<tr>
						<td class="sub-title">
							<xsl:value-of select="$ipstartcase.data" />
						</td>
					</tr>
					<tr>
						<td>
							<xsl:call-template name="reportAssociatedA3Message">
								<xsl:with-param name="index" select="1" />
							</xsl:call-template>
						</td>
					</tr>
				</xsl:if>

			</tbody>
		</table>

	</xsl:template>

</xsl:stylesheet>
